package com.ruoyi.logistics.service;

import java.util.List;
import com.ruoyi.logistics.domain.BizAddressBook;

/**
 * 地址簿管理Service接口
 * 
 * @author RuiJing
 * @date 2026-01-29
 */
public interface IBizAddressBookService 
{
    /**
     * 查询地址簿管理
     * 
     * @param addressId 地址簿管理主键
     * @return 地址簿管理
     */
    public BizAddressBook selectBizAddressBookByAddressId(Long addressId);

    /**
     * 查询地址簿管理列表
     * 
     * @param bizAddressBook 地址簿管理
     * @return 地址簿管理集合
     */
    public List<BizAddressBook> selectBizAddressBookList(BizAddressBook bizAddressBook);

    /**
     * 新增地址簿管理
     * 
     * @param bizAddressBook 地址簿管理
     * @return 结果
     */
    public Long insertBizAddressBook(BizAddressBook bizAddressBook);

    /**
     * 修改地址簿管理
     * 
     * @param bizAddressBook 地址簿管理
     * @return 结果
     */
    public int updateBizAddressBook(BizAddressBook bizAddressBook);

    /**
     * 批量删除地址簿管理
     * 
     * @param addressIds 需要删除的地址簿管理主键集合
     * @return 结果
     */
    public int deleteBizAddressBookByAddressIds(Long[] addressIds);

    /**
     * 删除地址簿管理信息
     * 
     * @param addressId 地址簿管理主键
     * @return 结果
     */
    public int deleteBizAddressBookByAddressId(Long addressId);

    /**
     * 查询默认地址
     * @return
     */
    public BizAddressBook selectDefaultAddressBook();


    /**
     * 导入地址簿管理数据
     *
     * @param bookList 地址簿管理数据列表
     * @return 结果
     */
    String importBook(List<BizAddressBook> bookList);
}
